// packageI/gratitude_reward/gratitudeRewardIndex/gratitudeRewardIndex.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {

    details:{},
    tabsIndex:3,

    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数
    listData: [],

    settlement:0,
    un_settlement:0,
    member:{}


  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getListData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this.getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },

  getListData(){
    this.data.page = 1;
    this.data.total_page = 0;
    this.data.isLoadMore = true;

    let urlStr = app.getNetAddresss("plugin.gratitude-reward.frontend.index.index");
    let json={};
    if(this.data.tabsIndex!=3){
      json.status = this.data.tabsIndex;
    }
    app._getNetWork({
      url: urlStr,
      data: json,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);

        this.setData({
          isLoadMore: true,
          total_page: res.data.list.last_page,
          listData: res.data.list.data,      
          settlement:res.data.settlement,
          un_settlement:res.data.un_settlement,
          member:res.data.member
        });
        if (!this.data.total_page) {
          this.data.total_page = 0;
        }
      }
    });
  },

  getMoreData(){
    this.data.isLoadMore = false;
    if (this.data.page >= this.data.total_page) {
      return;
    } else {
      this.data.page++;
      let json = {
        page: this.data.page
      };
      if(this.data.tabsIndex!=3){
        json.status = this.data.tabsIndex;
      }
      let urlStr = app.getNetAddresss("plugin.gratitude-reward.frontend.index.index");
      app._getNetWork({
        url: urlStr,
        data:json,
        success: (resdata) => {
          var res = resdata.data;

          if (res.result == 1) {
            this.data.isLoadMore = true;
            var myData = res.data.list.data;
            this.setData({
              listData: this.data.listData.concat(myData)
            });
          } else {
            this.data.isLoadMore = false;
            this.data.page--;
          }
        }
      });
    }
  },

  changeTabsIndex(evt){
    console.log(evt);
    this.data.tabsIndex = evt.detail.name;
    this.getListData();
  },


  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});